For details about each element in the User resource, see User Resource.
Resource URL
Before calling this API, consider using its version /2 equivalent.
https://<subdomain>.onelogin.com/api/1/users/:idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Resource Parameters
id required integer | Set to the If you don't know the user's |
Sample Responses
- 200 OK
- 400 Bad Req.
- 401 Unauth.
- 403 Forbid.
- 404 Not Found
{
"status": {
"error": false,
"code": 200,
"type": "success",
"message": "Success"
},
"data": [
{
"activated_at": "2015-01-21T02:23:45.990Z",
"created_at": "2014-12-19T02:02:38.817Z",
"email": "hazel.zhang@onelogin.com",
"username": "hzhang",
"firstname": "Hazel",
"group_id": 444444,
"id": 1,
"invalid_login_attempts": 3,
"invitation_sent_at": "2016-02-11T01:31:03.540Z",
"last_login": "2016-02-26T19:16:25.902Z",
"lastname": "Zhang",
"locked_until": null,
"notes": null,
"openid_name": "hazel.zhang",
"locale_code": null,
"password_changed_at": "2016-02-25T19:59:54.118Z",
"phone": "4155551212",
"status": 1,
"updated_at": "2016-02-26T19:16:26.412Z",
"distinguished_name": null,
"external_id": null,
"directory_id": null,
"member_of": null,
"samaccountname": null,
"userprincipalname": null,
"manager_ad_id": null,
"manager_user_id": 29260307,
"role_id": [
777777,
111111
],
"company": "OneLogin",
"department": "Finance",
"title": "Captain",
"state": 1,
"trusted_idp_id": null,
"custom_attributes": {
"alias": "Haz",
"branch": "Southwest Center"
}
}
]
}Typically, this error means that your Authorization header value is missing or incorrectly formatted. The Authorization header value should use this format: bearer <access_token>.
{
"status":{
"error":true,
"code":400,
"type":"bad request",
"message":"Authorization Information is incorrect"
}
}Typically, this error means that your access token value is invalid.
{
"status": {
"error": true,
"code": 401,
"type": "Unauthorized",
"message": "Authentication Failure"
}
}{
"status": {
"error": true,
"code": 403,
"type": "forbidden",
"message": "user is not authorized to access this User"
}
}{
"status": {
"error": true,
"code": 404,
"type": "not found",
"message": "User for id 144687001 was not found"
}
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
curl 'https://<subdomain>.onelogin.com/api/1/users/<id>' \
-X GET \
-H "Authorization: bearer <access_token>"C#
See Get Access Token and Users.
Python
See Work with OAuth 2.0 Tokens, Users, and Roles.
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.